print(1111111111)
import tqdm
import sys
	# sys.path.append('/home/ubuntu/.local/lib/python3.10/site-packages')
import nltk
# nltk.download('stopwords',  download_dir='/var/www/html/hire/modules/joborders')
# nltk.download('punkt', download_dir='/var/www/html/hire/modules/joborders')
from nltk.corpus import stopwords

import re
# nltk.data.path.append('/var/www/html/hire/modules/joborders')
from nltk.tokenize import word_tokenize
import string
from bs4 import BeautifulSoup
import re
from nltk.stem import WordNetLemmatizer
from nltk.corpus import stopwords
from nltk.tokenize import word_tokenize



# ACTUAL IMPORTS


# try:
# 	import sys
# 	sys.path.append('/home/ubuntu/.local/lib/python3.10/site-packages')
# 	import nltk
# 	from nltk.corpus import stopwords
# 	nltk.download('stopwords',  download_dir='/var/www/html/hire/modules/joborders')
# 	nltk.download('punkt', download_dir='/var/www/html/hire/modules/joborders')
# 	import re
# 	nltk.data.path.append('/var/www/html/hire/modules/joborders')
# 	from nltk.tokenize import word_tokenize
# 	import string
# except Exception as err:
# 	print(err)


# TILL HERE




print("Imported")
import mysql.connector
jobOrderID=sys.argv[1]  #string
#jobOrderID ="547"

print("Started")
f = open("clean_job_logs.txt", "w")
f.write("Imported and Initiated\n")
dbhost="localhost"
dbuser="root"
dbpassword="root"
if(sys.platform!="win32"):
    dbpassword=""
dbname="27-11-23"

try:
    mydb = mysql.connector.connect(host=dbhost,user=dbuser,password=dbpassword,database=dbname)
    mycursor = mydb.cursor()
except Exception as e:
    print("Database connectivity failed:", e)
    f.write(("Database connectivity failed\n" + str(e)))
    exit()



try:
    mycursor.execute("SELECT description FROM joborder  WHERE description != '' and joborder_id='%s'"%(jobOrderID))
    newTextToFetch = mycursor.fetchall()
except Exception as e:
    print("Fetching description failed:", e)
    f.write(("Fetching description failed\n"+ str(e)))
    exit()

print("Description fetched")

if(len(newTextToFetch)<1):
    exit()

myJobId = (tuple([jobOrderID]))
myJobText = tuple([(" ".join([element[0] for element in newTextToFetch]))])

lemmatizer = WordNetLemmatizer()
def remove_stop(doc): 
        stop_words = set(stopwords.words('english'))
        word_tokens = word_tokenize(doc)
        filtered_sentence = [w for w in word_tokens if not w.lower() in stop_words]
        filtered_sentence = []
        for w in word_tokens:
            if w not in stop_words:
                filtered_sentence.append(lemmatizer.lemmatize(w))            
        return " ".join(filtered_sentence)
def remove_html_tags_and_links(text):
    soup = BeautifulSoup(text, "html.parser")
    
    # Remove hyperlinks
    for a_tag in soup.find_all('a'):
        a_tag.replace_with(a_tag.text)

    # Remove remaining HTML tags
    cleaned_text = soup.get_text()
    
    # Remove extra whitespaces
    cleaned_text = re.sub(r'\s+', ' ', cleaned_text).strip()
    
    return cleaned_text

def cleanResume(resumeText):
    
    resumeText=remove_html_tags_and_links(resumeText)
    resumeText=remove_stop(resumeText)
    resumeText = re.sub('http\S+\s*', ' ', resumeText)  # remove URl
    resumeText = re.sub('RT|cc', ' ', resumeText)  # remove RT and cc
    resumeText = re.sub('#\S+', '', resumeText)  # remove hashtags
    resumeText = re.sub('@\S+', '  ', resumeText)  # remove mentions
    resumeText = re.sub('[%s]' % re.escape("""!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~"""), ' ', resumeText)  # remove punctuations
    resumeText = re.sub(r'[^\x00-\x7f]',r' ', resumeText) 
    resumeText = re.sub('\s+', ' ', resumeText)  # remove extra whitespace

    resumeText = resumeText.lower()

    bad_word_list = [
                        " li ", " responsibilities ", " work ", " working ", " ul ", " skill ", " skills ", " years ", " year ",
                        " experience ", " experience ",  " knowledge ", " preferably ", " benefit ", " required ", " abilities ",
                        " strong ", " understand ", " possess ", " education ", " degree ", " relevant ", " domain ", " like ", " job ", 
                        " develop ", " developed ", "responsibilities ", " well ", " should ", " can "
                    ]
    
    for element in bad_word_list:
        resumeText = resumeText.replace(element, ' ')


    for i in range(10):
        resumeText = resumeText.replace(" " + str(i) + " ", ' ')

    return resumeText 

try:
    mydb.execute("delete from clean_joborder where joborder_id=%s"%jobOrderID)
    upsertSql = "INSERT INTO clean_joborder (joborder_id,clean_text) VALUES (%s,%s) ON DUPLICATE KEY UPDATE clean_text =(%s)"
    upsertVal = (myJobId[0], myJobText[0], myJobText[0])
    mycursor.execute(upsertSql, upsertVal)
    mydb.commit()
except Exception as e:
    print("Insertion in Database failed:", e)
    f.write(("Insertion in Database failed\n"+ str(e)))
    exit()

    
print("Insertion Successful\n")
f.write(("Insertion Successful\n"))
print(mycursor.rowcount, "record inserted.")
f.close()


